USN-3532-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-3532-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-3532-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-3532-1
Related
Published
2018-01-15T16:53:32.553059Z
Modified
2018-01-15T16:53:32.553059Z
Summary
gdk-pixbuf vulnerabilities
Details

It was discoreved that GDK-PixBuf incorrectly handled certain gif images. An attacker could use this to execute arbitrary code. This issue only affected Ubuntu 14.04 LTS and Ubuntu 16.04 LTS. (CVE-2017-1000422)

Ariel Zelivansky discovered that GDK-PixBuf incorrectly handled certain images. An attacker could use this to cause a denial of service. (CVE-2017-6312, CVE-2017-6313)

Ariel Zelivansky discovered that GDK-PixBuf incorrectly handled large TIFF files. An attacker could use this to cause a denial of service. (CVE-2017-6314)

References

Affected packages

Ubuntu:14.04:LTS / gdk-pixbuf

Package

Name
gdk-pixbuf

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.30.7-0ubuntu1.8

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "gir1.2-gdkpixbuf-2.0": "2.30.7-0ubuntu1.8",
            "libgdk-pixbuf2.0-0": "2.30.7-0ubuntu1.8",
            "libgdk-pixbuf2.0-common": "2.30.7-0ubuntu1.8",
            "libgdk-pixbuf2.0-0-udeb": "2.30.7-0ubuntu1.8",
            "libgdk-pixbuf2.0-dev": "2.30.7-0ubuntu1.8",
            "libgdk-pixbuf2.0-doc": "2.30.7-0ubuntu1.8"
        }
    ]
}

Ubuntu:16.04:LTS / gdk-pixbuf

Package

Name
gdk-pixbuf

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.32.2-1ubuntu1.4

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "gir1.2-gdkpixbuf-2.0": "2.32.2-1ubuntu1.4",
            "libgdk-pixbuf2.0-0": "2.32.2-1ubuntu1.4",
            "libgdk-pixbuf2.0-common": "2.32.2-1ubuntu1.4",
            "libgdk-pixbuf2.0-0-udeb": "2.32.2-1ubuntu1.4",
            "libgdk-pixbuf2.0-dev": "2.32.2-1ubuntu1.4",
            "libgdk-pixbuf2.0-doc": "2.32.2-1ubuntu1.4"
        }
    ]
}